Bug 121290 - Crash, if press F4 for a selected callout
Summary: Crash, if press F4 for a selected callout
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-11-08 20:36 UTC by Regina Henschel
Modified: 2018-11-12 11:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Info from VS about the crash (5.54 KB, text/plain)
2018-11-08 20:36 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-11-08 20:36:58 UTC
Created attachment 146464 [details]
Info from VS about the crash

Start Draw and insert a legacy callout, those from the toolbar "Text", not a custom shape. Press F4 to open Position&Size dialog --> crash.

I see it in Version: 6.2.0.0.alpha1+ (x64)
Build ID: e9c1bbb32d6cef06c875bb8cf05a00216ea59b2e
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-11-08 23:40:04 UTC
@Regina, can you explain how to insert the legacy callout from text toolbar, I can't find it...
Comment 2 Roman Kuznetsov 2018-11-09 08:51:01 UTC
(In reply to Xisco Faulí from comment #1)
> @Regina, can you explain how to insert the legacy callout from text toolbar,
> I can't find it...

Xisco, right click on Drawing toolbar->Customize toolbar, enter in field Search word "Callout", in left area Function you will see three items, select simple "Callout" and add it to right Function area (push arrow to right), it will be add to toolbar. Push OK.
Then draw this Callout, select it, and push F4 on keyboard -> LO gives crash

I confirm this bug in

Version: 6.2.0.0.alpha1+
Build ID: 6896f39ffd8a6c4b32b8f601a6a93678247456bd
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-05_22:40:18
Locale: ru-RU (ru_RU); Calc: threaded
Comment 3 Xisco Faulí 2018-11-09 10:08:03 UTC
@Roman, thanks for your comment, it was really helpful!

Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f21e8a94b0c6ca7fdea157f858b079aca30e274e

author	Caolán McNamara <caolanm@redhat.com>	2018-09-10 10:03:46 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-10 15:20:28 +0200
commit	f21e8a94b0c6ca7fdea157f858b079aca30e274e (patch)
tree	84052576cfdc8d713566bcf88dbf5fbdea79ae77
parent	98cbbb4f6e2446c63be214bd302a57a23fe6f1c8 (diff)
weld SvxCaptionTabPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2018-11-09 16:15:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/aa641600fcb81865217fe5db0a6ed79a71e45cd0%5E%21

Resolves: tdf#121290 Crash, if press F4 for a selected callout

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-11-12 11:54:23 UTC
Verified in

Version: 6.2.0.0.alpha1+
Build ID: 3a99ae072ac170ebed8d1f5bf65913d3412fab67
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!